using CaseAccountingContracts.BindingModels;
using CaseAccountingContracts.SearchModels;
using CaseAccountingContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CaseAccountingContracts.StoragesContracts
{
    public interface IContractStorage
    {
        List<ContractViewModel> GetFullList();
        List<ContractViewModel> GetFilteredList(ContractSearchModel model);
        ContractViewModel? GetElement(ContractSearchModel model);
        ContractViewModel? Insert(ContractBindingModel model);
        ContractViewModel? Update(ContractBindingModel model);
        ContractViewModel? Delete(ContractBindingModel model);
    }
}
